%bcond_with     allegro_unstable

Name:           atanks
Version:        5.7
Release:        %mkrel 2
Summary:        Scorched Earth game clone
License:        GPLv2+
Group:          Games/Arcade
Url:            http://atanks.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/atanks/atanks-%{version}.tar.gz
Patch0:		atanks-5.4-mandriva-link.patch
BuildRequires:	icoutils
%if %with allegro_unstable
BuildRequires:  allegro-testing-devel
%else
BuildRequires:  allegro-devel
%endif

%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%prep
%setup -q
%apply_patches

%build
%make \
	CC="%{__cxx}" \
	OFLAGS="%{optflags}" \
	LFLAGS="%{ldflags} -L%{_libdir} -lX11 -lXext -lXcursor -lXpm -lxcb -lXrender -lXfixes -lXau -lXdmcp" \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%install
%makeinstall_std \
	BINDIR=%{_gamesbindir} \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%{__perl} -pi -e "s/\r$//g" %{buildroot}%{_gamesdatadir}/%{name}/tanks.txt

#icons
icotool -x %{name}.ico
for i in 16 32 48; do
	install -Dm644 %{name}_?_${i}x${i}x32.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

%files
%doc Changelog README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 5.7-2.mga3
+ Revision: 346522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 zezinho <zezinho> 5.7-1.mga3
+ Revision: 311111
- new version

* Sat Jun 09 2012 zezinho <zezinho> 5.5-1.mga3
+ Revision: 258931
- new version

* Tue May 29 2012 zezinho <zezinho> 5.4-1.mga3
+ Revision: 249474
- rediffed patch
- rediffed patch and linkage flags in spec
- new version

* Sat Feb 25 2012 zezinho <zezinho> 5.3-1.mga2
+ Revision: 214213
- new version

* Tue Oct 11 2011 zezinho <zezinho> 5.2-1.mga2
+ Revision: 153991
- new version 5.2

* Sat Jul 02 2011 wally <wally> 5.1-1.mga2
+ Revision: 117356
- new version 5.1
- redo patches
- use LDFLAGS
- create icons from upstream provided .ico
- clean .spec a bit

* Sun May 08 2011 nanardon <nanardon> 4.8-1.mga1
+ Revision: 96092
- imported package atanks

